Descargar MP3’s

Hola a todos!

Hace un tiempo, quería descargarme un mi par de canciones, seré sincero al decir que  no me gusta andar buscando los albunes de página en página, asi que busco la descarga directa vía P2P.
Ahhh, qué es P2P¿?
Bueno P2P no es más que el intercambio de información, datos entre un usuario y otro, es decir, de misha-san hacia mí y viceversa (para citar un ejemplo), ahhh y cómo se hace esto, bien, pues, hay varios métodos y bueno, en la actualidad hay muchos, de los cuales, si alguna vez tocaste windows o si aun lo usas, recordarás su famoso Ares, aun vivo, bueno, ese es un P2P, permite descargar y compartir datos (música, programas, videos, fotos) entre una persona y otra u otras. Si vienes con esto de las descargas desde muy atrás, seguramente recuerdas kazaá; bueno, todos esos programas son útiles para descargar, pero hay un precio en windows: virus.
Retomando el inicio de este post, quería descargarme unas canciones y bueno, no tenía nada instalado en mi opensuse, asi que me dispuse a buscar uno de los mejores P2P que conozco: LimeWire.
Buscando, existe una version para linux, pero me topé con que e un .deb y ni modo, pues no es para suse, asi que hice uso de una de las herramientas que no deben faltar en nuestra pc: alien.
Y para qué usar alien si lo que querés es descargar música¿? bueno, pues da la casualidad que mi capricho era instalar limewire en opensuse y solo está disponible para ubuntu, entonce, alien, nos permite convertir un .deb a .rmp, asi pude instalar lime wire.
Dejo los pasos a continuación:

#alien -r LimeWireLinux.deb

esto nos da como resultado:

lime-wire-linux.rpm

el cual instalaremos sencillamente:

# rpm -ivh  lime-wire-linux.rpm

y listo, solo esperamos que finalice el proceso y a descargar musica.

Les dejo los screenshot de mi limewire.
Saludos,
kotaro

Anuncios
Esta entrada fue publicada en GNU/LINUX, OpenSource. Guarda el enlace permanente.

13 respuestas a Descargar MP3’s

  1. Ayala dijo:

    Hola esto es exactamente lo que esaba buscando!, ya que instale un limewire que encontre con extencion .rpm y el primer dia que lo instale, todo salio de maravilla, logre descargar musica con normalidad y una buena velocidad, pero al dia siguiente que quise volver a descargar, simplemente no iniciaba la descarga,se queda “en cola” y no he podido solucionar esto.
    Creo que este articulo me ha devuelto las esperanzas.
    Probare y comento:D

    Me gusta

  2. Ayala dijo:

    No pasa nada
    Algo estara haciendo falta?
    Ojala lea mis comentarios.
    Hasta pronto.

    Me gusta

    • kotaro dijo:

      Hola!
      UMmm a qué te refieres cuando dices no pasa nada?
      Primero veamos las generalidades:
      -qué distro tienes?
      -qué versión?
      -qué paquete estás usando (limewire.deb, limewire.rpm)
      -qué procedimiento estás haciendo:
      #rpm -i limewire.rmp
      #yast -i limewire
      #zypper -in limewire
      asumiendo que tienes opensuse, pues sería el procedimiento el siguiente:
      1. Alt+F2>gnome-terminal | konsole (según el escritorio)
      2. su –
      2.1 Ingresar el passwd del root
      3. yast -i alien
      4. Finalizado alien, y descargado el paquete limewire.deb desde la página oficial de limewire, procedemos:
      #alien -r -c limewire.deb
      5. una vez finalizado, pues solo es cuestión de instalar nuestro nuevo y mejorado paquete:
      #rpm -Uvh limewire.rmp
      7. Fin del cuento, jeje

      espero te sirva, sino me avisas y busco si tengo el .rmp que yo instalé.
      NOTA: a veces la conversión no es 100% fructífera (morphy anda en todo)
      NOTA2: es necesario tener actualizado openSUSE ya que lime wire hace uso de librerías como libstd y otras, que se actualizan constantemente.
      NOTA3: Ya instalado es una maravilla.

      Saludos,
      kotaro

      Me gusta

  3. Ayala dijo:

    Uso opensuse 11.3
    He realizado los pasos que me comentas para suse pero todo parece marchar bien hasta la instruccion: Yast -i alien, pero al ingresar el comando siguiente (#alien -r -c limewire.deb) no pasa nada, pero aun asi, sigo con el siguiente que es el ultimo y escribo:
    #rpm -Uvh limewire.rmp, pero al presionar enter, no pasa nada:(
    No se que estoy haciendo mal:(
    Ojala pudieras ayudarme, es el primer lugar donde me dan respuesta a mi problema:)

    Con respecto a la nota de tener actualizado openSUSE, creo que si lo tengo actializado, ya que en la barra de notificaciones me dice que no hay actualizaciones disponibles:).

    En verdad te agradeceria si me dices en que estoy mal:D, o mejor aun, si encuentras el rpm que lograste converir:D.
    Saludos cordiales!

    PD.: me inscribi para recibir correo para cuando comenten en el articulo:)

    Me gusta

  4. Ayala dijo:

    Llego a la instruccion donde se descarga alien (Yast -i alien), cosa que ya tenia instaldo desde antes jeje. Pero aun asi, lo hago en konsole, y el fondo cambia de color a azul, y muestra un proceso de descarga e instalacion de alien.

    Despues de eso, en la instruccion donde creo es cuando se hace la conversion (#alien -r -c limewire.deb), la ingreso, pulso enter, y simplemente no pasa nada, solo me paso a otra linea abajo.
    Despues de eso, introduzco la instruccion (#rpm -Uvh limewire.rmp) que supongo es donde ejecuta el rpm creado con la instruccion anterior, despues de pulsar enter, no pasa nada:(, solo vuelvo a bajar una linea.

    Me confunde un poco el paso 4.
    4. Finalizado alien, y descargado el paquete limewire.deb desde la página oficial de limewire, procedemos.

    Se refiere a que despues de finalizar el proceso de descarga/instalacion de alien, tengo que descargar limewire?, porque yo ya lo tenia descargado, desde la pagina oficial de limewire claro :). Asi que solo me voy al paso siguiente (#alien -r -c limewire.deb).

    Espero que con este otro comentario me explique un poco mas :D.

    Me gusta

    • kotaro dijo:

      Hola!

      No debería haber problema en las instrucciones y en todo caso debería salir un mensaje que de ERROR o algo similar.
      Partamos del inicio:
      cuando trabajamos con gnu/linux hay que tener en cuenta lo siguiente:
      donde estamos y donde está lo que necesitmos.
      Aplicaremos estos conceptos en el caso de la instalación de limewire.
      supongamos que yo voy a hacer la instalación de limwire en mi laptop.
      Me voy a la pagina de limewire y descargo el .deb,
      si ya tengo instalado alien, pues simplemente convierto el paquete:
      # alien -r limewire.deb
      –debés sustituir limewire.deb por el nombre que tiene tu paquete.
      –si estás dentro del directorio que contiene el paquete bastará con poner las primeras tres letras del nombre del paquete y
      presionar la tecla TAB para autocompletarse, si no estás dentro del directorio pues debés usar el prefijo para llegar a él,
      por ejemplo, si el paquete lo tienes en /home/ayala/Descargas, tu prefijo quedaría:
      #alien -r /home/ayala/Descargas/limewire.deb
      Hasta aquí tengo creado mi paquete .rmp, así que me resta instalarlo.
      para ello tengamos en cuenta donde estamos y donde tenemos nuestro paquete .rpm
      Así que la instalación sería:
      #rpm -Uvh /home/ayala/limewire.rpm
      debe salir algo similar a esto:
      Instalando paquete ===========100%

      Tené en cuenta la ubicación de los paquetes y donde estás para que los comandos den resultado.

      saludos,
      kotaro

      Me gusta

  5. Ayala dijo:

    Hola Kotaro!
    Al intentar convertir el paquete me sale el Error de que el paquete no existe, y me imagine que seria por la hubicacion, asi que trate de hacer lo que me comentas, escribiendo la ruta de su hubicacion, pero me dice que el directorio “ayala” no existe (tomando en cuenta lo de tu ejemplo con el nombre de mi carpeta).
    Y estando ahi, escribo el comando “Dir” y me hace un listado de los directorios que hay en la hubicacion en la que me encuentro, y lo que se me hace extremadamente raro, es que ahi me aparece la carpeta a la que quiero acceder, pero al intenter acceder, simplemente dice que no existe.
    Ahora acabo de renombrar mi carpeta personal, porque era demasiado larga xD, y hare la prueba como comentas =).
    En unos minutos comento como me fue.
    MIL GRACIAS por tu asesoria estimado Kotaro =).

    Me gusta

  6. Ayala dijo:

    Hola otra vez kotario =D
    Tengo lo siguiente:
    Despues de ingresar la instruccion para convertir el paquete .deb a.rpm, me sale este mensaje:

    Warning: Skipping conversion of scripts in package limewire-basic: postinst postrm prerm
    Warning: Use the –scripts parameter to include the scripts.
    limewire-basic-5.5.14-2.noarch.rpm generated
    find: `limewire-basic-5.5.14′: No such file or directory

    Traduciendo en google, me dice que [limewire-basic-5.5.14-2.noarch.rpm generated]=[lechada de cal-base-5.5.14-2.noarch.rpm generados], al parecer solo se equivoco en la traduccion del nombre por la gramatica, supongo, pero segun creo, quiere decir que ya fue convertido el paquete .rpm, asi que procedo con la siguiente y ultima instruccion:

    La cual me arroja lo siguiente:
    5.5.14-2.noarch.rpm
    error: open of /home/ayala/limewire-basic-5.5.14-2.noarch.rpm failed: No such file or directory.

    😦 ahora si ya no se que hacer 😦
    Que estare haciendo mal?
    En verdad agradezco mucho por tu tiempo 🙂 y paciencia (Y) 🙂

    Me gusta

  7. Ayala dijo:

    Creo que ya logre convertir el archivo a .rpm, ahora me surge otro problema.
    Cuando trato de ejecutar dicho archivo .rpm, me sale lo siguiente:

    error: Failed dependencies:
    libc.so.6()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libc.so.6(GLIBC_2.2.5)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libc.so.6(GLIBC_2.3)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libc.so.6(GLIBC_2.3.2)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libc.so.6(GLIBC_2.4)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libc.so.6(GLIBC_2.7)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libdl.so.2()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libdl.so.2(GLIBC_2.2.5)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libgnome-2.so.0 is needed by limewire-basic-5.5.14-2.noarch
    libm.so.6()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libpthread.so.0()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libpthread.so.0(GLIBC_2.2.5)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libpthread.so.0(GLIBC_2.3.2)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    librt.so.1()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    librt.so.1(GLIBC_2.2.5)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6()(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6(CXXABI_1.3)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6(CXXABI_1.3.1)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6(GLIBCXX_3.4)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6(GLIBCXX_3.4.11)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libstdc++.so.6(GLIBCXX_3.4.9)(64bit) is needed by limewire-basic-5.5.14-2.noarch
    libz.so.1()(64bit) is needed by limewire-basic-5.5.14-2.noarch

    Creo que es algo del tipo de S. O. que tengo 😦 que es de 32 bits, al parecer se necesita correr en uno de 64.
    Pero veo algo que dice sobre “dependencias”, y no se si necesite actualizar alguna aplicacion?, ojala solo sea eso, por lo pronto voy a realizar una busqueda de actualizacion para suse, y volvere a intentar.

    NOTA: el archivo fue creado en root, no se porque 😀 xD.

    Me gusta

    • kotaro dijo:

      Ayala!

      el mensaje que te da:
      “… faltan dependencias…”
      pues está claro, te hacen falta las dependencias ahi mostradas, como te dije en un inicio: libstd y otras que ahi se mencionan son vitales, asi que dale una actualización a tu suse, asumo que has agregado los repositorios de la comunidad, sino, pues hacelo, eso te garantizará una estabilidad.
      >yast>software>repositorios de software>agregar repositorio>agregar repositorios de la comunidad
      agregá todos los que te aparezcan, luego:
      software>actualizción en linea
      ojo: debés está conectado a internet, sino, no funcionará ni agregar repositorios ni actualizar.

      Saludos,
      kotaro

      Me gusta

  8. Ayala dijo:

    Gracias, se ha solucionado con la actualizaion!
    🙂
    Gracias, seguire pasandome por aqui 😉

    Tengo una duda mas, pero acerca de la configuracion de hora, pues solo me da el formato de 24 horas, y quisiera tenerlo en formato 12 horas, pero no encuentro la opcion, o mas bien creo que no la tiene xD.
    De cualquier forma buscare tambien en “san google” :D.

    Hasta la proxima y MUCHISIMAS GRACIAS por tu acto altruista, gracias por tu amabilidad.

    Nos seguimos leyendo!!

    Me gusta

    • kotaro dijo:

      Excelente!
      Me alegra que esté solucionado y que ahora ya puedas descargar tus mp3’s,
      bueno, pues la verdad no le pongo mucho cuidado a la hora, normalmente la uso 24hrs, pero es gusto mío, por eso no he merodeado en ello.

      Cualquier consulta estamos a la orden.
      saludos,
      kotaro

      Me gusta

      • Ayala dijo:

        Realmente estoy muy agradecido con tu ayuda estimado kotero, seguire pasandome por aqui una que otras veces 🙂
        Vere que puedo hacer con especto a la hora :D.
        Hasta pronto, saludos cordiales!!

        Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s